ServerEvents.recipes(event => {
	event.remove({output: 'minecraft:furnace'})
	event.remove({output: 'minecraft:lodestone'})
	event.remove({output: 'create_henry:kinetic_motor'})
	event.remove({output: 'create_new_age:carbon_brushes'})
	event.remove({output: 'nethersdelight:blackstone_furnace'})
	event.remove({output: 'bellsandwhistles:copper_pilot'})
	event.remove({output: 'create_sa:rose_quartz_sword'})
	event.remove({output: 'create_sa:rose_quartz_shovel'})
	event.remove({output: 'create_sa:rose_quartz_pickaxe'})
	event.remove({output: 'create_sa:rose_quartz_axe'})
	event.remove({output: 'trading_floor:trading_depot'})
	event.remove({output: 'supplementaries:soap'})
	event.remove({output: 'snad:snad'})
	event.remove({output: 'snad:red_snad'})
	event.remove({output: 'snad:soul_snad'})
	event.remove({output: 'create_radar:radar_receiver_block'})
	event.remove({type: 'create:crushing', input: 'minecraft:basalt'})
	event.remove({output: 'garnished:brittle_dust', input: '#create:stone_types/scorchia'})
	event.remove({input: 'minecraft:lodestone', type: 'create:crushing'})
	event.remove({output: 'create:empty_blaze_burner'})
	event.remove({output: 'create:sturdy_sheet', type: 'create:sequenced_assembly'})
	event.remove({output: 'jaopca:storage_blocks.obsidian'})
	event.remove({output: 'minecraft:glass', input: '#minecraft:sand'})
	event.remove({output: 'tesseract:tesseract'})
	event.remove({output: 'create_sa:andesite_jetpack_chestplate'})
	event.remove({output: 'create_sa:copper_jetpack_chestplate'})
	event.remove({output: 'create_sa:brass_jetpack_chestplate'})
	event.remove({output: 'minecraft:enchanted_golden_apple', type: 'create:sequenced_assembly'})
  	event.replaceInput(
	{ input: 'create:flywheel' },
	'create:flywheel',            // Arg 2: the item to replace
	'#create:flywheels'         // Arg 3: the item to replace it with
  )
  	event.replaceInput(
	{ input: '#forge:gems/rose_quartz' },
	'#forge:gems/rose_quartz',            // Arg 2: the item to replace
	'create:rose_quartz'         // Arg 3: the item to replace it with
  )
  	event.replaceInput(
	{ input: 'minecraft:string' },
	'minecraft:string',            // Arg 2: the item to replace
	'#forge:string'         // Arg 3: the item to replace it with
  )
  	event.replaceInput(
	{ input: 'minecraft:leather' },
	'minecraft:leather',            // Arg 2: the item to replace
	'#forge:leather'         // Arg 3: the item to replace it with
  )
	event.shaped(
  Item.of('minecraft:furnace', 1), // arg 1: output
  [
    'AAA',
    'ABA', // arg 2: the shape (array of strings)
    'AAA'
  ],
  {
	A: '#nethersdelight:stone_crafting_materials_no_blackstone',
    B: 'minecraft:flint',
  })
	event.shaped(
  Item.of('nethersdelight:blackstone_furnace', 1), // arg 1: output
  [
    'AAA',
    'ABA', // arg 2: the shape (array of strings)
    'AAA'
  ],
  {
	A: 'minecraft:blackstone',
    B: 'minecraft:flint',
  })
	event.shaped(
  Item.of('minecraft:furnace_minecart', 1), // arg 1: output
  [
    'BAB',
    'BBB', // arg 2: the shape (array of strings)
    '   '
  ],
  {
	A: 'nethersdelight:blackstone_furnace',
    B: 'minecraft:iron_ingot',
  })
	event.shaped(
  Item.of('drivebywire:wire_cutter', 1), // arg 1: output
  [
    'B B',
    ' B ', // arg 2: the shape (array of strings)
    'A A'
  ],
  {
	A: 'tfmg:plastic_sheet',
    B: 'tfmg:rebar',
  })
	event.shaped(
  Item.of('drivebywire:wire', 2), // arg 1: output
  [
    'A  ',
    'BC ', // arg 2: the shape (array of strings)
    'A  '
  ],
  {
	A: 'computercraft:wired_modem',
    B: '#forge:wires/copper',
	C: 'create:belt_connector'
  })
	event.shaped(
  Item.of('drivebywire:backup_block', 1), // arg 1: output
  [
    ' B ',
    'CAC', // arg 2: the shape (array of strings)
    ' B '
  ],
  {
	A: 'computercraft:disk_drive',
    B: 'computercraft:wired_modem',
	C: 'computercraft:cable'
  })
	event.shaped(
  Item.of('minecraft:furnace_minecart', 1), // arg 1: output
  [
    ' A ',
    ' B ', // arg 2: the shape (array of strings)
    '   '
  ],
  {
	A: 'nethersdelight:blackstone_furnace',
    B: 'minecraft:minecart',
  })
	event.recipes.create.compacting([
		'mekanism:pellet_antimatter',
	], '64x luckytntmod:antimatter').superheated()
	event.recipes.create.compacting(
	'luckytntmod:antimatter',
	['4x luckytntmod:uranium_ingot', '2x createcasing:chorium_ingot']).superheated()
	event.recipes.create.compacting([
		'6x supplementaries:soap',
	], [Fluid.of('minecraft:water', 1000), '4x supplementaries:ash', 'minecraft:porkchop']).heated()
	event.shaped(
  Item.of('bellsandwhistles:copper_pilot', 1), // arg 1: output
  [
    ' A ',
    'B B', // arg 2: the shape (array of strings)
    'AAA'
  ],
  {
    A: '#forge:nuggets/copper',
    B: 'minecraft:copper_ingot',
  })
	event.shaped(
  Item.of('minecraft:torch', 3), // arg 1: output
  [
    ' A ',
    ' B ', // arg 2: the shape (array of strings)
    '   '
  ],
  {
	A: 'v_borne:rosin',
    B: 'minecraft:stick',
  })
	event.shaped(
  Item.of('trading_floor:trading_depot', 1), // arg 1: output
  [
    ' A ',
    'DBD', // arg 2: the shape (array of strings)
    ' C '
  ],
  {
	A: 'createdeco:andesite_sheet',
    B: 'create:chromatic_compound',
	C: 'create:andesite_casing',
	D: 'create:electron_tube',
  })
	event.shaped(
  Item.of('minecraft:lodestone', 1), // arg 1: output
  [
    'AAA',
    'ABA', // arg 2: the shape (array of strings)
    'AAA'
  ],
  {
	A: 'minecraft:chiseled_stone_bricks',
    B: 'create:zinc_block'
  })
	event.shaped(
  Item.of('patchouli:guide_book', '{"patchouli:book":"patchouli:star_guide"}'), // arg 1: output
  [
    ' B ',
    'BAB', // arg 2: the shape (array of strings)
    ' B '
  ],
  {
	A: 'minecraft:book',
    B: '#forge:nuggets/steel'
  })
	event.shaped(
  Item.of('create:empty_blaze_burner', 1), // arg 1: output
  [
    'CAC',
    'ABA', // arg 2: the shape (array of strings)
    'CAC'
  ],
  {
	A: 'create:iron_sheet',
    B: 'minecraft:netherrack',
	C: 'minecraft:iron_nugget'
  })
	  event.shaped(
		Item.of('tesseract:tesseract'),
		[ 
		  'ABA', 
		  'BCB',
		  'ABA'  
		],
		{
		A: 'create:shadow_steel',
		B: 'northstar:martian_steel_sheet',
		C: 'fluxnetworks:flux_core'
		}
	  )
	event.shaped(
  Item.of('v_borne:carbon_brush', 1), // arg 1: output
  [
    'AAA',
    ' B ', // arg 2: the shape (array of strings)
    ' C '
  ],
  {
	A: 'create_henry:coal_piece',
    B: 'create:andesite_alloy',
	C: 'minecraft:stick',
  })
	event.shaped(
  Item.of('create_new_age:carbon_brushes', 1), // arg 1: output
  [
    'CCC',
    'ABA', // arg 2: the shape (array of strings)
    'CCC'
  ],
  {
    A: 'v_borne:carbon_brush',
    B: 'create:shaft',
	C: 'create:andesite_alloy',
  })
    event.smelting(
	'minecraft:glass',
	'v_borne:glass_dust')
	event.recipes.create.mixing(
	'v_borne:glass_dust',
	['#minecraft:sand', 'v_borne:flint_dust'])
	event.recipes.create.milling(
	'6x v_borne:flint_dust',
	'minecraft:flint')
	event.recipes.create.compacting(
	'minecraft:amethyst_block',
	['12x minecraft:quartz', 'minecraft:iron_nugget']).superheated()
	event.recipes.create.compacting(
	'v_borne:biolithic_aggregate',
	['18x minecraft:tuff', Fluid.of('createaddition:bioethanol', 1000), '2x v_borne:compressed_xp']).superheated()
	event.recipes.create.compacting(
	'minecraft:flint',
	['6x v_borne:flint_dust', Fluid.of('minecraft:water', 100)])
	event.recipes.create.compacting(
	'snad:snad',
	['10x minecraft:sand', 'create:electron_tube'])
	event.recipes.create.compacting(
	'snad:red_snad',
	['10x minecraft:red_sand', 'create:electron_tube'])
	event.recipes.create.compacting(
	'snad:soul_snad',
	['10x minecraft:soul_sand', 'create:electron_tube'])
	event.recipes.create.mixing(
	Fluid.of('v_borne:catalyzing_fluid', 1000),
	[Fluid.of('create_henry:sap', 1000), '2x v_borne:biolithic_aggregate', '2x mekanism:block_bronze']).superheated()
	event.recipes.create.compacting(
	'minecraft:leather',
	'2x minecraft:rotten_flesh').heated()
	event.recipes.create.mixing(
	'create:rose_quartz',
	['2x biomesoplenty:rose_quartz_shard', '2x minecraft:redstone', 'minecraft:quartz']).heated()
	event.recipes.create.mixing(
	'minecraft:cobblestone',
	[Fluid.of('minecraft:water', 1000), Fluid.of('minecraft:lava', 200)]).heated()
	event.recipes.create.mixing(
	'4x minecraft:clay_ball',
	[Fluid.of('minecraft:water', 500), '2x tfmg:slag', 'minecraft:dirt'])
	event.recipes.create.compacting(
	'2x minecraft:dirt',
	['2x tfmg:slag', '2x #forge:fuels/bio'])
	event.recipes.create.pressing(
	'v_borne:silver_coin',
	'v_borne:silver_nugget')
	event.recipes.create.pressing(
	'v_borne:bronze_coin',
	'alloyed:bronze_nugget')
	event.recipes.create.crushing(
	[Item.of('create:copper_nugget').withChance(0.25), Item.of('v_borne:silver_nugget').withChance(0.3)],
	'tfmg:slag')
	event.recipes.create.crushing(
	[Item.of('mekanism:dust_sulfur').withChance(0.20), Item.of('mekanism:dust_sulfur').withChance(0.1), Item.of('mekanism:dust_sulfur').withChance(0.1)],
	'#create:stone_types/scoria')
	event.recipes.create.crushing(
	[Item.of('minecraft:iron_nugget').withChance(0.25), Item.of('minecraft:iron_nugget').withChance(0.1), Item.of('garnished:brittle_dust').withChance(0.85), Item.of('garnished:brittle_dust').withChance(0.45)],
	'#chipped:basalt')
	event.recipes.create.crushing(
	['4x create_new_age:magnetite_block', Item.of('create:zinc_ingot').withChance(0.75)],
	'minecraft:lodestone')
	event.recipes.create.compacting(
	'2x minecraft:tuff',
	[Fluid.of('minecraft:lava', 250), '2x minecraft:diorite', '2x minecraft:andesite', 'minecraft:gunpowder']).heated()
	event.shapeless(
  Item.of('supplementaries:soap', 9), // arg 1: output
	[
		'supplementaries:soap_block'
	])
	event.shapeless(
  Item.of('v_borne:silver_coin', 4), // arg 1: output
	[
		'v_borne:silver_coinstack'
	])

	event.shapeless(
  Item.of('v_borne:silver_coinstack', 1), // arg 1: output
	[
		'4x v_borne:silver_coin'
	])
	event.shapeless(
  Item.of('v_borne:bronze_coin', 4), // arg 1: output
	[
		'v_borne:bronze_coinstack'
	])

	event.shapeless(
  Item.of('v_borne:bronze_coinstack', 1), // arg 1: output
	[
		'4x v_borne:bronze_coin'
	])
	event.shapeless(
  Item.of('create_radar:radar_receiver_block', 1), // arg 1: output
	[
		'create:andesite_casing',
		'create:iron_sheet',
		'minecraft:lightning_rod'
	])
	event.shapeless(
  Item.of('create_radar:auto_yaw_controller', 1), // arg 1: output
	[
		'create_radar:auto_pitch_controller'
	])
	event.shapeless(
  Item.of('create_radar:auto_pitch_controller', 1), // arg 1: output
	[
		'create_radar:auto_yaw_controller'
	])
	event.shapeless(
  Item.of('v_borne:paper_strips', 3), // arg 1: output
	[
		'gravestone:obituary'
	])
	event.shapeless(
  Item.of('minecraft:paper', 1), // arg 1: output
	[
		'3x v_borne:paper_strips'
	])
	event.forEachRecipe({type: 'minecraft:crafting_shaped', output: '#v_borne:recipe_transfer/mechanical_crafter'}, recipe => {
	event.remove({id: recipe.getId()})
    event.recipes.createMechanicalCrafting(recipe.get('result'), recipe.get('pattern'), recipe.get('key'))
  })
	let inter = "create:unprocessed_obsidian_sheet"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("create:sturdy_sheet").withChance(94.0),
				Item.of("tfmg:cast_iron_ingot").withChance(6.0),	// this is the item that will appear in JEI as the result
            ],
            "create:powdered_obsidian",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
				event.recipes.createFilling(inter, [inter, Fluid.of('minecraft:lava', 500)]),
				event.recipes.createDeploying(inter, [inter, '#forge:ingots/cast_iron']),
				event.recipes.createPressing(inter, inter),
				event.recipes.createPressing(inter, inter)
            ]
        )
        .transitionalItem(inter)
        .loops(1); // set the transitional item and the number of loops
    let inter2 = "v_borne:unfinished_unrefined_bauxite"; // making a variable to store the transitional item makes the code more readable
    event.recipes.create
        .sequenced_assembly(
            [
                Item.of("v_borne:unrefined_bauxite").withChance(84.0), // this is the item that will appear in JEI as the result
                Item.of("create:limestone").withChance(8.0),
				Item.of("minecraft:andesite").withChance(4.0),
				Item.of("minecraft:granite").withChance(4.0),				// the rest of these items will be part of the scrap
            ],
            "v_borne:compact_clay",
            [
                // the transitional item is a variable, that is 'kubejs:incomplete_bauxite' and is used during the intermediate stages of the assembly
                event.recipes.createFilling(inter2, [inter2, Fluid.lava(250)]),
                event.recipes.createPressing(inter2, inter2),
				event.recipes.createFilling(inter2, [inter2, Fluid.water(250)]),
				event.recipes.createPressing(inter2, inter2),
            ]
        )
        .transitionalItem(inter2)
        .loops(4); // set the transitional item and the number of loops
	event.recipes.create.haunting(
	'tfmg:bauxite',
	'v_borne:unrefined_bauxite')
})